Java (SDK)
package hello.world;
import java.lang.Exception;
import org.openapis.openapi.AriesJava;
import org.openapis.openapi.models.errors.ErrorResponse;
import org.openapis.openapi.models.operations.DeleteUserClientResponse;
public class Application {
public static void main(String[] args) throws ErrorResponse, Exception {
AriesJava sdk = AriesJava.builder()
.bearerAuth(System.getenv().getOrDefault("BEARER_AUTH", ""))
.build();
DeleteUserClientResponse res = sdk.clients().delete()
.clientId("<id>")
.call();
// handle response
}
}curl --request DELETE \
--url https://api.tradearies.dev/v1/users/api/clients/{client_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.tradearies.dev/v1/users/api/clients/{client_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.tradearies.dev/v1/users/api/clients/{client_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"error": "<string>",
"codes": [
{
"code": "<string>",
"description": "<string>"
}
]
}Clients
Delete OAuth2 Client
Deletes an OAuth2 API client owned by the authenticated user. This endpoint permanently deletes an OAuth2 client. Once deleted, the client_id and client_secret will be immediately revoked and can no longer be used for OAuth2 authorization flows. This action cannot be undone. Any applications using this client will need to be reconfigured with a new client. Only the client owner can delete their own clients.
DELETE
/
v1
/
users
/
api
/
clients
/
{client_id}
Java (SDK)
package hello.world;
import java.lang.Exception;
import org.openapis.openapi.AriesJava;
import org.openapis.openapi.models.errors.ErrorResponse;
import org.openapis.openapi.models.operations.DeleteUserClientResponse;
public class Application {
public static void main(String[] args) throws ErrorResponse, Exception {
AriesJava sdk = AriesJava.builder()
.bearerAuth(System.getenv().getOrDefault("BEARER_AUTH", ""))
.build();
DeleteUserClientResponse res = sdk.clients().delete()
.clientId("<id>")
.call();
// handle response
}
}Was this page helpful?
⌘I